/* CSS Document */

/* Images as Background Images */

.octane-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.octane-background img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.octane-content {
    position: relative;
    height: 100%;
}

.octane-position {
    position: relative;
}

/* hero */

:root {
    --h-size: 352px;
}

#hero {
    aspect-ratio: 16 / 9;
    margin-top: calc(-1 * var(--h-size));
    min-height: calc(var(--h-size) + 400px);
    width: 100%;
}

@media(max-width: 1024px) {
    #hero {
        margin: 0;
        min-height: auto;
    }
}


/* services ============== */

#services {
    padding-block: 50px;
}

.services {
    display: flex;
    gap: 30px;
}

.service {
    box-shadow: var(--shadow);
    width: 50%;
}

.service-img {
    background: black;
    transition: .4s;
}

.service:hover .service-img {
    background: var(--style-sec);
}

.service img {
    aspect-ratio: 4 / 3;
    width: 100%;
    object-fit: cover;
    mix-blend-mode:screen;
}

.service-titles {
    background: var(--style-main);
    width: 80%;
    margin-inline: auto;
    transition: .4s;
    display: flex;
    justify-content: space-between;
    transform: translatey(-50%);
}

.service:hover .service-titles {
    width: 100%;
}

.service-title {
    color: var(--white);
    margin: 0;
    padding: 20px;
    font-size: 1.3rem;
    font-weight: 500;
}

.service-titles i {
    background: var(--style-sec);
    width: 100px;
    text-align: center;
    align-content: center;
    color: var(--white);
    font-size: 40px;
}

.service-text {
    padding: 0 20px 40px;
    font-size: 1.1rem;
    font-weight: 500;
    color: var(--black);
}

.service-text p {
    margin: 0px;
}

@media(max-width: 1024px) {
    .services {
        flex-wrap: wrap;
    }

    .service {
        width: 100%;
    }

    .service img {
        aspect-ratio: 18 / 9;
    }

    .service-text {
        font-size: 1rem;
    }
}

@media(max-width: 768px) {
    .service-title {
        font-size: 1rem;
    }

    .service-text {
        font-size: .9rem;
        line-height: 1.3;
        padding:0 20px 20px;
    }
}





/* benefits ========== */

.pad {
    padding-block: 100px;
}

.wf-title {
    font-weight:bold;
    text-transform:capitalize;
    font-size: 1.8rem;
    color: var(--black);
    text-wrap: balance;
}

.ben-flex {
    display: flex;
    gap: 50px;
}

.ben-flex::before, .ben-flex::after {
    content:none;
}

.ben-content, .ben-img {
    width: 50%;
}

.ben-img {
    box-shadow: 0px 3px 6px #00000080;
}

.ben-img img {
    position: absolute;
    top: 0px;
    left: 0px;
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.ben-content p {
    font-weight: 500;
    color: var(--black);
}

.wf-link {
    display: block;
    position: relative;
    background: var(--black);
    width: fit-content;
    overflow: hidden;
}

.wf-link-text {
    color: var(--white);
    text-transform: uppercase;
    font-size: 1.2rem;
    padding: 20px;
    transition: .3s ease;
}

.wf-link-copy {
    position: absolute;
}

.wf-link:hover .wf-link-og {
    transform: translatey(-100%);
}

.wf-link:hover .wf-link-copy {
    transform: translatey(-100%);
}

.wf-link:hover {
    background: var(--style-sec);
}




@media(max-width: 1024px) {
    .pad {
        padding-block: 70px;
    }

    .ben-flex {
        flex-direction: column;
    }

    .ben-content, .ben-img {
        width: 100%
    }

    .ben-img {
        aspect-ratio: 16 / 9;
    }
}

@media(max-width: 768px) {
    .pad {
        padding-block: 40px;
    }

    .wf-link {
        margin-inline: auto;
    }

    .wf-link-text {
        font-size: .9rem;
    }

    .wf-title {
        font-size: 1.4rem;
    }

    .ben-content p {
        font-size: .9rem;
        line-height: 1.3;
    }
}


/* reviews */

#reviews {
    background: var(--style-tri);
}

.center-title {
    text-align: center;
}

/* quote */

.wf-lg-title {
    font-size: 3rem;
}

.quote-form {
    box-shadow: 0px 0px 15px #00000080;
    padding: 40px;
}

@media(max-width: 768px) {
    .quote-form {
        padding: 20px;
    }

    .wf-lg-title {
    font-size: 1.4rem;
}
    
}